# PFSetType

Builds PF for a particular function

### Synopsis

    #include "petscpf.h"
    PetscErrorCode PETSCVEC_DLLEXPORT PFSetType(PF pf,PFType type,void *ctx)

Collective on PF

### Input Parameter

| pf | - the function context.
| type | - a known method
| ctx | - optional type dependent context

### Options Database Key

-pf_type <type> -Sets PF type

### Notes

See "petsc/include/petscpf.h" for available methods (for instance, PFCONSTANT)

### Keywords

PF, set, method, type

### See Also

PFSet(), PFRegisterDynamic(), PFCreate(), DACreatePF()

Level:intermediate
Location: src/vec/pf/interface/pf.c
Index of all PF routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex22.c.html